Bug 982026 - [rhevm-webadmin] During editing Storage Domain on “Edit Domain” pop-up, there is no “In Use” and “Used By” columns
[rhevm-webadmin] During editing Storage Domain on “Edit Domain” pop-up, there...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
vvyazmin@redhat.com
storage
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 16:41 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 15:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 05:09:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Screenshot (370.79 KB, image/png)
2013-07-07 16:41 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-07-07 16:41:03 EDT
Created attachment 770184 [details]
## Screenshot

Description of problem:
During editing Storage Domain on “Edit Domain” pop-up, there is no “In Use” and “Used By” columns

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS4 environment:

RHEVM: rhevm-3.3.0-0.6.master.el6ev.noarch
VDSM: vdsm-4.11.0-89.git8bf916a.el6.x86_64
LIBVIRT: libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. On storage server create 5 LUN’s connected to same target (it can be EMC, Tigris, XIO, or any other storage server)
2. Login to RHEVM
3. Create iSCSI Data Center with two Storage Domains (SD) , when each SD deployed from one LUN.
4. Under “Storage” tab, select your relevant SD on result list and click on “Edit” menu.
  
Actual results:
On “Edit Domain” pop-up there is no columns “In Use”, “Used By”  (print-screen attached) 

Expected results:
On “Edit Domain” pop-up you need see columns “In Use”, “Used By” 
1. Column “In Use” - you need see “Used” or “Free” option
Used - LUN’s that used as part of some SD
Free - LUN’s that free to used

2. Column “Used By” - you need see relevant SD name if this LUN is part of SD and have status “Used” in “In Used” column.

Impact on user:

Workaround:
No workaround

Additional info:

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 2 vvyazmin@redhat.com 2013-07-07 18:01:11 EDT
Same problem seems, when creating a new SD, in “New Domain” pop-up
Comment 3 Itamar Heim 2013-07-08 05:09:27 EDT
see bug 921544

Note You need to log in before you can comment on or make changes to this bug.